[**@rxap/ngx-bootstrap v19.1.0-dev.0**](../README.md)

***

[@rxap/ngx-bootstrap](../globals.md) / Application

# Class: `abstract` Application\<Config, Ref, Env\>

Defined in: [application.ts:37](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L37)

## Extended by

- [`ModuleApplication`](ModuleApplication.md)
- [`StandaloneApplication`](StandaloneApplication.md)

## Type Parameters

• **Config** *extends* `object`

• **Ref** *extends* [`RefWithInjector`](../interfaces/RefWithInjector.md)

• **Env** *extends* `Environment`

## Constructors

### new Application()

> **new Application**\<`Config`, `Ref`, `Env`\>(`environment`, `options`, `configLoadOptions`?): [`Application`](Application.md)\<`Config`, `Ref`, `Env`\>

Defined in: [application.ts:45](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L45)

#### Parameters

##### environment

`Env`

##### options

`Config` = `...`

##### configLoadOptions?

`ConfigLoadOptions`

#### Returns

[`Application`](Application.md)\<`Config`, `Ref`, `Env`\>

## Properties

### app

> **app**: `null` \| `Ref` = `null`

Defined in: [application.ts:39](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L39)

***

### config

> **config**: `null` \| `ConfigService`\<`Record`\<`string`, `any`\>\> = `null`

Defined in: [application.ts:41](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L41)

***

### configLoadOptions?

> `readonly` `optional` **configLoadOptions**: `ConfigLoadOptions`

Defined in: [application.ts:48](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L48)

***

### environment

> `readonly` **environment**: `Env`

Defined in: [application.ts:46](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L46)

***

### logger

> **logger**: `null` \| `Console` = `null`

Defined in: [application.ts:40](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L40)

***

### options

> `readonly` **options**: `Config`

Defined in: [application.ts:47](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L47)

## Methods

### after()

> **after**(`fnc`): `void`

Defined in: [application.ts:90](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L90)

#### Parameters

##### fnc

[`ApplicationAfterFunction`](../type-aliases/ApplicationAfterFunction.md)\<`Config`, `Ref`, `Env`\>

#### Returns

`void`

***

### before()

> **before**(`fnc`): `void`

Defined in: [application.ts:86](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L86)

#### Parameters

##### fnc

[`ApplicationBeforeFunction`](../type-aliases/ApplicationBeforeFunction.md)\<`Config`, `Ref`, `Env`\>

#### Returns

`void`

***

### bootstrap()

> **bootstrap**(): `Promise`\<`void`\>

Defined in: [application.ts:51](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L51)

#### Returns

`Promise`\<`void`\>

***

### create()

> `abstract` `protected` **create**(): `Promise`\<`Ref`\>

Defined in: [application.ts:116](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L116)

#### Returns

`Promise`\<`Ref`\>

***

### handleAfter()

> `protected` **handleAfter**(`app`, `logger`, `config`, `options`, `environment`): `Promise`\<`void`\>

Defined in: [application.ts:100](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L100)

#### Parameters

##### app

`Ref`

##### logger

`Console`

##### config

`ConfigService`

##### options

`Config`

##### environment

`Env`

#### Returns

`Promise`\<`void`\>

***

### handleBefore()

> `protected` **handleBefore**(`config`, `options`, `environment`): `Promise`\<`void`\>

Defined in: [application.ts:94](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L94)

#### Parameters

##### config

`ConfigService`

##### options

`Config`

##### environment

`Env`

#### Returns

`Promise`\<`void`\>

***

### loadConfig()

> `protected` **loadConfig**(`environment`): `Promise`\<`void`\>

Defined in: [application.ts:106](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L106)

#### Parameters

##### environment

`Env`

#### Returns

`Promise`\<`void`\>

***

### prepareConfig()

> `abstract` `protected` **prepareConfig**(`config`): `void`

Defined in: [application.ts:114](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L114)

#### Parameters

##### config

`Config`

#### Returns

`void`

***

### prepareEnvironment()

> `protected` **prepareEnvironment**(`environment`): `Promise`\<`void`\>

Defined in: [application.ts:110](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L110)

#### Parameters

##### environment

`Env`

#### Returns

`Promise`\<`void`\>
